> ## Documentation Index
> Fetch the complete documentation index at: https://docs.continuouslabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Simulation Steps

> Returns recorded steps for a running or paused Simulation. Use any step to create a deterministic fork.



## OpenAPI

````yaml /openapi/simulation.yaml get /v1/simulations/{id}/steps
openapi: 3.1.0
info:
  description: >-
    The continuous-simulation API builds reusable Simulators and runs isolated
    Simulations and Worlds. This document describes the stable v1 public
    contract.
  title: continuous-simulation API
  version: v1
servers:
  - description: Continuous production API.
    url: https://api.continuouslabs.ai
security: []
tags:
  - description: Create and control isolated runtime instances of ready Simulators.
    name: simulations
    x-group: Simulations
  - description: Build, inspect, tag, and delete reusable Simulator artifacts.
    name: simulators
    x-group: Simulators
  - description: Create and control coordinated groups of Simulations.
    name: worlds
    x-group: Worlds
paths:
  /v1/simulations/{id}/steps:
    get:
      tags:
        - simulations
      summary: List Simulation Steps
      description: >-
        Returns recorded steps for a running or paused Simulation. Use any step
        to create a deterministic fork.
      operationId: list-simulation-steps
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
        - explode: false
          in: query
          name: cursor
          schema:
            type: string
        - explode: false
          in: query
          name: limit
          schema:
            format: int64
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListSimStepsResponse'
          description: OK
        '400':
          content:
            application/problem+json:
              examples:
                bad_request:
                  $ref: '#/components/examples/bad_request'
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          content:
            application/problem+json:
              examples:
                simulation_not_found:
                  $ref: '#/components/examples/simulation_not_found'
              schema:
                $ref: '#/components/schemas/Error'
          description: Not Found
        '409':
          content:
            application/problem+json:
              examples:
                simulation_stopped:
                  $ref: '#/components/examples/simulation_stopped'
              schema:
                $ref: '#/components/schemas/Error'
          description: Conflict
        '422':
          content:
            application/problem+json:
              examples:
                validation:
                  $ref: '#/components/examples/validation'
              schema:
                $ref: '#/components/schemas/Error'
          description: Unprocessable Entity
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - apiKeyAuth: []
components:
  schemas:
    ListSimStepsResponse:
      additionalProperties: false
      properties:
        next_cursor:
          type:
            - string
            - 'null'
        steps:
          items:
            $ref: '#/components/schemas/Step'
          type: array
      required:
        - steps
        - next_cursor
      type: object
    Error:
      additionalProperties: false
      properties:
        code:
          minLength: 1
          type: string
        detail:
          minLength: 1
          type: string
      required:
        - code
        - detail
      type: object
    Step:
      additionalProperties: false
      properties:
        label:
          type: string
        seq_hi:
          format: int64
          type: integer
        seq_lo:
          format: int64
          type: integer
        step:
          format: int64
          type: integer
        timestamp:
          format: date-time
          type: string
      required:
        - step
        - label
        - seq_lo
        - seq_hi
        - timestamp
      type: object
  examples:
    bad_request:
      value:
        code: bad_request
        detail: The cursor is invalid.
    simulation_not_found:
      value:
        code: simulation_not_found
        detail: No Simulation was found with ID "sim_01J8Z5X4K7M2N9P0Q1R2S3T4V6".
    simulation_stopped:
      value:
        code: simulation_stopped
        detail: >-
          The Simulation with ID "sim_01J8Z5X4K7M2N9P0Q1R2S3T4V6" is stopped.
          Start it before you retry this request.
    validation:
      value:
        code: validation
        detail: The request does not satisfy the API contract.
    auth_invalid:
      value:
        code: auth_invalid
        detail: The API key is missing or invalid.
    internal:
      value:
        code: internal
        detail: The server encountered an unexpected error.
  responses:
    Unauthorized:
      content:
        application/problem+json:
          examples:
            auth_invalid:
              $ref: '#/components/examples/auth_invalid'
          schema:
            $ref: '#/components/schemas/Error'
      description: Unauthorized
    InternalServerError:
      content:
        application/problem+json:
          examples:
            internal:
              $ref: '#/components/examples/internal'
          schema:
            $ref: '#/components/schemas/Error'
      description: Internal Server Error
  securitySchemes:
    apiKeyAuth:
      bearerFormat: Continuous API key
      description: >-
        Use a Continuous API key. Send it in the Authorization header as a
        Bearer token.
      scheme: bearer
      type: http

````